import CoEuiChipList from '../../../../components/10x/eui/eui-chip-list.js'
import EuiBasePage from '../eui-base.po.js'

export default class EuiChipListPage extends EuiBasePage {

  constructor() {
      super();
  }
  chipListByIndex(index) {
    let chipList =  new CoEuiChipList(this.mainContent);
    return chipList.byIndex(index);
  }
  chipListByTextContains(text) {
    let chipList = new CoEuiChipList(this.mainContent);
    return chipList.byTextContains(text);
  }
  chipListByTextEqualsAndIndex(text, index, normalize=true) {
    let chipList = new CoEuiChipList(this.mainContent);
    return chipList.byTextEqualsAndIndex(text, index, normalize);
  }
  chipListFromSectionById(id) {
    return new CoEuiChipList(this.sectionById(id));
  }
  chipListFromSectionWithIdByIndex(id, index) {
    let chipList = new CoEuiChipList(this.sectionById(id));
    return chipList.byIndex(index);
  }
}


